toString                package:base                R Documentation

toString Converts its Argument to a Character String

Description:

     This is a helper function for 'format'. It converts its argument
     to a string. If the argument is a vector then its elements are
     concatenated with a ',' as a separator.  Most methods should honor
     the width argument.  The minimum value for 'width' is six.

Usage:

     toString(x, ...)

     ## Default S3 method:
     toString(x, width, ...)

Arguments:

       x: The object to be converted.

   width: The returned value is at most the first 'width' characters.

     ...: Optional arguments for methods.

Value:

     A character vector of length 1 is returned.

Author(s):

     Robert Gentleman

See Also:

     'format'

Examples:

     x <- c("a", "b", "aaaaaaaaaaa")
     toString(x)
     toString(x, width=8)

